# -*- coding: utf-8 -*-

#' # Aufgabe 6

# Standard imports
import numpy as np
import numpy.linalg as la
import matplotlib.pyplot as plt

#%%
#' ## Für Ihre Lösung


#%%
#' ## Test mit gegebenen 4 Beispielen

# Die Befehle try and except sorgen dafür, dass das Skript trotz möglicher Fehler-
# meldungen weiterläuft. Durch print(e) wird die jeweilige Fehlermeldung dennoch
# ausgegeben.

A1 = np.array([[1,1],[0,1]])
A2 = np.array([[3,1],[1,2]])
A3 = np.array([[-2,1],[1,2]])
A4 = np.array([[4,0],[0,1]])

for A, k in zip([A1, A2, A3, A4], range(1,5)):
    try:
        plt.figure(k)
        plt.title('Abbildung für A{0}'.format(k))
        plotuAu(A)   
    except Exception as e: 
        plt.show()
        plt.clf()
        plt.cla()
        plt.close()
        print('Fehlermeldung bei A{0} lautet: {1}'.format(k, e))